#!/bin/bash
set -e
set -x

cd "$(dirname "$0")"
DIR="$(dirname "$0")"
cd ..
echo $PWD

#downloading graphene malloc
if [ ! -f ./dependencies/hardened_malloc/Makefile ]; then
   cd ./dependencies/
   git clone https://github.com/GrapheneOS/hardened_malloc.git
fi

echo 'graphene malloc downloaded.'
